curl --request POST \
--url https://api.bookingshake.io/api/events/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookings": [
{
"date": "15-03-2025",
"start_time": "14:00",
"end_time": "18:00",
"pax": "50",
"event_type": "Corporate Event",
"comments": "Setup needed at 13:00"
}
],
"contact": {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+33123456789"
},
"source_slug": "website"
}
'{
"message": "success",
"data": {
"booking_id": "3f6c1b2a-9d4e-4f7a-b0c8-2e5a7d9f1c3b",
"public_id": "nX4fQ2hB",
"event_ids": [
"rsv_8fj2kQpL0aXc",
"rsv_2mQw9Lp3Xt5K"
],
"contact_id": "cli_7hJk2Pq9Rt4M",
"account_id": "acc_5Fg8Nw1Zx6Vb",
"quote_id": "bse_9Qm3Kp7Rt2Zx"
}
}Create events
Create one or several events (bookings) with contact information and optional company details. Multiple bookings in a single request will be grouped together. Optionally include products to create a draft quotation.
curl --request POST \
--url https://api.bookingshake.io/api/events/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookings": [
{
"date": "15-03-2025",
"start_time": "14:00",
"end_time": "18:00",
"pax": "50",
"event_type": "Corporate Event",
"comments": "Setup needed at 13:00"
}
],
"contact": {
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+33123456789"
},
"source_slug": "website"
}
'{
"message": "success",
"data": {
"booking_id": "3f6c1b2a-9d4e-4f7a-b0c8-2e5a7d9f1c3b",
"public_id": "nX4fQ2hB",
"event_ids": [
"rsv_8fj2kQpL0aXc",
"rsv_2mQw9Lp3Xt5K"
],
"contact_id": "cli_7hJk2Pq9Rt4M",
"account_id": "acc_5Fg8Nw1Zx6Vb",
"quote_id": "bse_9Qm3Kp7Rt2Zx"
}
}Authorizations
Bearer authentication using your BookingShake API key. Retrieve your API key from Settings > Integrations in your BookingShake dashboard.
Body
Array of one or more bookings to create (maximum 20 per request). Multiple bookings will be grouped together.
1 - 20 elementsShow child attributes
Show child attributes
Contact information. Either provide contact_id to use an existing contact, or provide first_name, last_name, and email to create a new contact.
Show child attributes
Show child attributes
Company/organization information (optional). Note: A company will only be created if the 'name' field is provided. If the company object is omitted or provided without a name, no company will be created.
Show child attributes
Show child attributes
Booking source slug identifier. Found in Settings > Sources. If not provided, uses the default source (marked in settings), or 'Site web', or the first available source.
"website"
Booking source ID. Alternative to source_slug. If neither source_slug nor source_id is provided, uses the default source (marked in settings), or 'Site web', or the first available source.
"src_abc123"
